%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"
%define name gimmie
%define version 0.3.0
%define svn 590
%if %svn
%define release %mkrel 0.%svn.6
%else
%define release %mkrel 1
%endif

Summary:	New menu applet for the GNOME panel
Name:		%{name}
Version:	%{version}
Release:	%{release}
%if %svn
Source0:	%{name}-%svn.tar.lzma
%else
Source0:	http://www.beatniksoftware.com/gimmie/releases/%{name}-%{version}.tar.gz
%endif
#gw fix default bookmarks, else it crashes without a file named README in the
# current dir.
Patch0:		gimmie-0.2.3-bookmarks.patch
# Fix for http://bugzilla.gnome.org/show_bug.cgi?id=502197 - excessive
# CPU usage when any XDG menu entry changes - AdamW 2007/12
Patch1:		gimmie-0.3.0-menu_cpu.patch
License:	LGPLv2+ and BSD
Group:		Graphical desktop/GNOME
URL:		http://www.beatniksoftware.com/gimmie/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-gnome-menus
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	gnome-python-desktop
BuildRequires:	libgnomecups-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	gnome-menus-devel
BuildRequires:	perl-XML-Parser
%if %svn
BuildRequires:	gnome-common intltool
%endif
Requires:	python-gnome-menus
Requires:	gnome-python
Requires:	gnome-python-desktop
Requires:	gnome-python-applet
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-gconf
Requires:	gnome-python-gtkmozembed
Requires:	python-libgmail
Requires:	dbus-python
Requires:	pyxdg
# Obviously shouldn't really require these, but as it's written, it
# fails to launch if they're not there - AdamW 2008/02
Requires:	pidgin
Requires:	gnome-power-manager

%description
Gimmie is an alternative menu applet for the GNOME panel.  It tries to
provide a handle on the people you interact with, the documents you
create, and the applications you use to create them.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif
%patch0 -p1 -b .bookmarks
%patch1 -p1 -b .menu
%if %svn
./autogen.sh
%endif

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

# Generated .pyc / .pyo files refer to the RPM build root. Wipe them and re-generate with our macros.

rm -f %{buildroot}%{py_platsitedir}/%{name}/*.pyo %{buildroot}%{py_platsitedir}/%{name}/*.pyc \
%{buildroot}%{py_platsitedir}/%{name}/gdmclient/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gdmclient/*.pyc \
%{buildroot}%{py_platsitedir}/%{name}/gnomecups/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gnomecups/*.pyc \
%{buildroot}%{py_platsitedir}/%{name}/iconentry/*.pyo %{buildroot}%{py_platsitedir}/%{name}/iconentry/*.pyc \
%{buildroot}%{py_platsitedir}/%{name}/sexy/*.pyo %{buildroot}%{py_platsitedir}/%{name}/sexy/*.pyc \
%{buildroot}%{py_platsitedir}/%{name}/traymanager/*.pyo %{buildroot}%{py_platsitedir}/%{name}/traymanager/*.pyc \

%python_compile_opt
%python_compile
install %{name}/*.pyc %{name}/*.pyo %{buildroot}%{py_platsitedir}/%{name}
install %{name}/gdmclient/*.pyc %{name}/gdmclient/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gdmclient
install %{name}/gnomecups/*.pyc %{name}/gnomecups/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gnomecups
install %{name}/iconentry/*.pyc %{name}/iconentry/*.pyo %{buildroot}%{py_platsitedir}/%{name}/iconentry
install %{name}/sexy/*.pyc %{name}/sexy/*.pyo %{buildroot}%{py_platsitedir}/%{name}/sexy
install %{name}/traymanager/*.pyc %{name}/traymanager/*.pyo %{buildroot}%{py_platsitedir}/%{name}/traymanager

%post
%update_icon_cache hicolor
%post_install_gconf_schemas gimmie

%preun
%preun_uninstall_gconf_schemas gimmie

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_sysconfdir}/gconf/schemas/gimmie.schemas
%{_bindir}/%{name}
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/GNOME_GimmieApplet.server
%{py_platsitedir}/%{name}
%{_libexecdir}/gimmie_applet
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.590.6mdv2008.1
+ Revision: 169246
- requires pidgin and gnome-power-manager (yeah, it really does) - thanks notech

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 0.3.0-0.590.5mdv2008.1
+ Revision: 157806
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.590.4mdv2008.1
+ Revision: 119449
- correct the patch

* Sat Dec 08 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.590.3mdv2008.1
+ Revision: 116560
- better fix for excessive CPU usage on menu change issue (menu_cpu.patch)

* Thu Dec 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.590.2mdv2008.1
+ Revision: 116057
- add menu_update_disable.patch to disable dynamic menu updating (causing excessive CPU usage)

* Wed Dec 05 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.590.1mdv2008.1
+ Revision: 115716
- update license (delicious binding is under BSD)
- new snapshot 590

* Sun Nov 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.529.1mdv2008.1
+ Revision: 109737
- new snapshot 529

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-0.489.2mdv2008.1
+ Revision: 104338
- add dep on gnome-python-gtkmozembed (bug #35162)

* Tue Oct 23 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.489.1mdv2008.1
+ Revision: 101436
- drop gimmie_people-changestatus.diff (functionality has been merged upstream)
- new snapshot 489

* Thu Oct 11 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.0-0.473.1mdv2008.1
+ Revision: 96954
- spec clean
- add patch from upstream mailing list to allow status change with pidgin
- drop lambda patch, merged upstream
- latest SVN (lots of new stuff)

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.7-2mdv2008.0
+ Revision: 76708
- add patch1 (from GNOME bug #458048) to fix "TypeError: <lambda>() takes exactly 1 argument (2 given)" crash

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.7-1mdv2008.0
+ Revision: 41526
- new release 0.2.7, drop merged patches

* Fri May 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-5mdv2008.0
+ Revision: 28357
- temporary fix for bad paths in .pyc / .pyo files: wipe them and re-generate (sgrayban again)
- requires gnome-python-gconf (thanks scott grayban for the report)

* Mon May 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-4mdv2008.0
+ Revision: 23838
- improve pidgin fix (add Makefile.in to patch rather than installing gimmie_pidgin.py manually)

* Sun May 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-3mdv2008.0
+ Revision: 23791
- add pidgin support, fix pidgin / gaim issue with patches from ML and SVN


* Tue Apr 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-2mdv2007.1
+ Revision: 150249
- patch2 (SVN): fix another crasher clicking on computer
- patch1 (SVN): fix crash when clicking Computer in standalone mode

* Wed Mar 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-1mdv2007.1
+ Revision: 149104
- new release 0.2.6, drop patch1 (merged)
- well, combine patches 1 and 2, seems to apply better this way
- another patch to resizing
- add patch1 (should fix window resizing bug)

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdv2007.1
+ Revision: 130867
- new version
- add gconf schema installation

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.3-326.1mdv2007.1
+ Revision: 126928
- svn snapshot

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2007.1
+ Revision: 122915
- new version
- update the patch
- add icons

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-3mdv2007.1
+ Revision: 111094
- fix crash on startup
- fix deps
- fix buildrequires

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-2mdv2007.1
+ Revision: 110836
- depend on libgmail

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.1
+ Revision: 110562
- Import gimmie

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.1
- initial package

